Announcement

Collapse
No announcement yet.

Any news on ATI fglrx 8.42?

Collapse
This topic is closed.
X
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Will tomorrow be The Day?

    Comment


    • if does not I'll cry... again and ever day until it comes out. If it sucks I'm taking a hammer to my video card and getting and NV.

      Comment


      • i'm in a crisis point:

        if i could change my videocard i would did it a long time ago, but unfortunately it is in a laptop.

        if THIS release is not barely bearable, i will put my laptop on ebay.

        i'm really tired of a company that can not give their customers decent drivers, in few hours(maybe days) ATI could lose one more client.
        it is up to THIS DRIVER RELEASE.

        please ATI do no let your customers down/go.


        sorry my english.

        Comment


        • Is it true that the driver will not support 2.6.23 kernel?

          Comment


          • For 2.6.23/32 bit there should be no problem to support drivers from 8.40.4 till latest with 2 patches. If needed i could even write a script to update the installer for non debian/ubuntu users. Basically this it not needed, but less complicated to execute the installer when patching is required. There you could use my fglrx script directy which supports 2.6.23 already.

            Comment


            • Originally posted by Kano View Post
              For 2.6.23/32 bit there should be no problem to support drivers from 8.40.4 till latest with 2 patches. If needed i could even write a script to update the installer for non debian/ubuntu users. Basically this it not needed, but less complicated to execute the installer when patching is required. There you could use my fglrx script directy which supports 2.6.23 already.


              Hmm the patches are for the kernel or the driver? I'm using gentoo, so I guess they will include the patches too.

              Comment


              • For the drivers >= 8.40.4, from the sabayon ebuild:

                http://svn.sabayonlinux.org/overlay/...warnings.patch
                http://svn.sabayonlinux.org/overlay/...s-2.6.23.patch

                Comment


                • Late Kernel and X.org support is -the- biggest issue that I always am experiencing with fglrx.

                  Comment


                  • Originally posted by Phlogiston View Post
                    Hmm the patches are for the kernel or the driver? I'm using gentoo, so I guess they will include the patches too.
                    If you had a look at sys-kernel/vanilla-sources/files/ you would see that those patches *are* included in gentoo. In short: fglrx should work with a 2.6.23 kernel on gentoo (at least with a vanilla kernel).
                    I would assume that the same patches will be applied to the .42 fglrx release, too. At least they do apply cleanly to 8.41.7 release. I am not using kernel 2.6.23 yet, but the patches are applied when emerging so I assume that it does work nicely.

                    No idea if those patches will work with gentoo-sources, too. But I'd guess they will.

                    Comment


                    • I am running sidux with Kernel 2.6.23.1 and Xorg 7.3 using Kanos fglrx script and it runs perfectly. I've heard about 64Bit issues with the Kernel patches, but haven't tried myself yet.

                      Comment

                      Working...
                      X